%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		uchardet
Version:	0.0.7
Release:	%mkrel 1
Summary:	Universal charset detection
Group:		Development/Other
License:	MPL
URL:		https://www.freedesktop.org/wiki/Software/uchardet/
Source0:	https://www.freedesktop.org/software/uchardet/releases/%{name}-%{version}.tar.xz

BuildRequires:	cmake

%description
uchardet is a C language binding of the original C++ implementation of the
universal charset detection library by Mozilla. uchardet is an encoding
detector library, which takes a sequence of bytes in an unknown character
encoding without any additional information, and attempts to determine the
encoding of the text. Returned encoding names are iconv-compatible.

#------------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
C language binding of the original C++ implementation of the
universal charset detection library by Mozilla.

#------------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header and Libraries files for the package %{name}.

#------------------------------------------------------------------------------
%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc COPYING AUTHORS README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.a
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Jul 14 2020 daviddavid <daviddavid> 0.0.7-1.mga8
+ Revision: 1606139
- new version: 0.0.7

* Fri Feb 14 2020 daviddavid <daviddavid> 0.0.6-3.mga8
+ Revision: 1517792
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.0.6-2.mga7
+ Revision: 1301488
- Mageia 7 Mass Rebuild

* Wed Dec 28 2016 daviddavid <daviddavid> 0.0.6-1.mga6
+ Revision: 1078521
- new version: 0.0.6
- update URL and Source URL
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 08 2015 daviddavid <daviddavid> 0.0.5-1.mga6
+ Revision: 908804
- new version: 0.0.5

* Sat Dec 05 2015 daviddavid <daviddavid> 0.0.4-1.mga6
+ Revision: 908264
- new version: 0.0.4

* Thu Nov 19 2015 daviddavid <daviddavid> 0.0.3-1.mga6
+ Revision: 904358
- new version: 0.0.3
- new upstream URL and Source URL
- update description

* Wed Oct 15 2014 umeabot <umeabot> 0.0.1-3.mga5
+ Revision: 750054
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.1-2.mga5
+ Revision: 690009
- Mageia 5 Mass Rebuild

* Wed Mar 12 2014 david-david <david-david> 0.0.1-1.mga5
+ Revision: 602739
- imported package uchardet

